Description

eg:

http://localhost:8080/portal/taxon/b384de9c-0a70-48e9-8fcc-1f772a331544.json

http://int.e-taxonomy.eu/cdmserver/integration_cichorieae/portal/taxon/b384de9c-0a70-48e9-8fcc-1f772a331544.json

the LIE happens at the following point in the init cascade:

taxon->relationsToThisTaxon-[TaxonRelationshipBeanProcessor]—>
fromTaxon->-[TaxonBaseBeanProcessor]->secSource->citation-[ReferenceBaseBeanProcessor]—>
authorship-[TeamOrPersonBaseBeanProcessor]->TeamDefaultCacheStrategy.getCollectorTitleCache () -
>teamMembers.size ()

Related issues:
Related to EDIT - bug #9811: regression through removal of "TaxonRelationship... Closed
Copied from EDIT - bug #9796: LazylnitializationException (LIE) on portal/tax... Closed

Associated revisions

Revision 7eb8206e - 10/04/2021 01:50 PM - Andreas Kohlbecker

ref #9797 Taxon.isMisapplicationOnly() as transient method

Revision 4bb63f91 - 10/04/2021 01:50 PM - Andreas Kohlbecker

ref #9797 better trace logging for bean initialization

Revision 19732d4e - 10/04/2021 01:52 PM - Andreas Kohlbecker

ref #9797 disabling and deprecating TaxonRelationshipBeanProcessor

Revision 6f10f4a4 - 10/04/2021 01:52 PM - Andreas Kohlbecker
ref #9797 comment on UNUSED TaxonNodeAutolnitializer

Revision ¢7378b10 - 10/04/2021 01:52 PM - Andreas Kohlbecker

ref #9797 introducing TaxonAutolnitializer to init taxonNodes and adapting init strategies

History

#1 - 10/01/2021 08:56 AM - Andreas Kohlbecker
- Copied from bug #9796: LazylnitializationException (LIE) on portal/taxon/{uuid} with misapplied names added

#2 - 10/01/2021 10:00 AM - Andreas Kohlbecker

- Description updated

#3 - 10/01/2021 10:03 AM - Andreas Kohlbecker

- Description updated

#5 - 10/04/2021 01:52 PM - Andreas Kohlbecker

- Status changed from New to Resolved
http://localhost:8080/portal/taxon/b384de9c-0a70-48e9-8fcc-1f772a331544.json
http://int.e-taxonomy.eu/cdmserver/integration_cichorieae/portal/taxon/b384de9c-0a70-48e9-8fcc-1f772a331544.json

- % Done changed from 0 to 50

#6 - 10/12/2021 02:25 PM - Andreas Miiller

There are still problems with loading MAN, e.g.

https://europlusmed.org/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Ffind&query=Kobresia+capillifolia&form_build_id=form-0Yd7pV
Z4ouAP5uo3fYuctfitcqll-SSGeeW8hOnd_eg&form_id=cdm_dataportal_search_taxon_form&search%5BdoTaxaByCommonNames%5D=1&search%5
BdoMisappliedNames%5D=1&search%5BdoSynonyms%5D=1&search%5BdoTaxa%5D=1&search%5BpageSize%5D=25&search%5Bpagelndex%5

D=0 and the link https://europlusmed.org/cdm_dataportal/taxon/6b98b448-2587-48be-9948-f861a49ef7f6 which does not lead to the accepted taxon
but to the side of the MAN.

However, | don't know if this is directly related to this ticket so please decide if this ticket is fixed (and we need to open a new ticket for the remaining
task) or if we should keep this ticket open).

#7 - 10/12/2021 04:02 PM - Andreas Kohlbecker
- File picture143-1.png added

It seems as if the removal of the TaxonRelationshipBeanProcessor has caused this new problem
#8 - 10/13/2021 03:22 PM - Andreas Kohlbecker

- Related to bug #9811: regression through removal of “TaxonRelationshipBeanProcessor™ ? added

#9 - 10/13/2021 03:22 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

new ticket for the open issue #9811

Files

picture143-1.png 332 KB 10/12/2021 Andreas Kohlbecker
